Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class ProxyServiceMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
          org.mule.module.cxf.builder.ProxyServiceMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  ProxyServiceFactoryBean

    public class ProxyServiceMessageProcessorBuilder

extends AbstractInboundMessageProcessorBuilder

Creates an inbound proxy based on a specially configure CXF Server. This allows you to send raw XML to your MessageProcessor and have it sent through CXF for SOAP processing, WS-Security, etc.

The input to the resulting MessageProcessor can be either a SOAP Body or a SOAP Envelope depending on how the payload attribute is configured. Valid values are "body" or "envelope".

Field Summary

Fields inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`muleContext`

Constructor Summary
`ProxyServiceMessageProcessorBuilder()`

Method Summary
`protected void` | `addProxyInterceptors(org.apache.cxf.frontend.ServerFactoryBean sfb)`
`protected void` | `configureServer(org.apache.cxf.endpoint.Server server)`
`protected org.apache.cxf.frontend.ServerFactoryBean` | `createServerFactory()`
`String` | `getPayload()`
`protected Class<?>` | `getServiceClass()`
`boolean` | `isProxy()`
`boolean` | `isProxyEnvelope()`
`void` | `setPayload(String payload)`

Methods inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`addIgnoredMethods, build, configureMessageProcessor, createInvoker, getAddress, getBindingId, getConfiguration, getFeatures, getInFaultInterceptors, getInInterceptors, getMtomEnabled, getNamespace, getOutFaultInterceptors, getOutInterceptors, getPort, getProperties, getServer, getService, getWsdlLocation, isEnableMuleSoapHeaders, isValidationEnabled, setBindingId, setConfiguration, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setNamespace, setOutFaultInterceptors, setOutInterceptors, setPort, setProperties, setService, setValidationEnabled, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyServiceMessageProcessorBuilder

    public ProxyServiceMessageProcessorBuilder()

Method Detail

### createServerFactory

    protected org.apache.cxf.frontend.ServerFactoryBean createServerFactory()
                                                                     throws Exception

  Specified by:
    `createServerFactory` in class `AbstractInboundMessageProcessorBuilder`
  Throws:
    `Exception`

### getServiceClass

    protected Class<?> getServiceClass()

  Specified by:
    `getServiceClass` in class `AbstractInboundMessageProcessorBuilder`

### configureServer

    protected void configureServer(org.apache.cxf.endpoint.Server server)

  Overrides:
    `configureServer` in class `AbstractInboundMessageProcessorBuilder`

### isProxy

    public boolean isProxy()

  Specified by:
    `isProxy` in class `AbstractInboundMessageProcessorBuilder`

### addProxyInterceptors

    protected void addProxyInterceptors(org.apache.cxf.frontend.ServerFactoryBean sfb)

### isProxyEnvelope

    public boolean isProxyEnvelope()

### getPayload

    public String getPayload()

### setPayload

    public void setPayload(String payload)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.